aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Core

# Documentation

type ErrorCode = Text Source #

data SqsError Source #

Constructors

SqsError |

Fields

- sqsStatusCode :: Status
- sqsErrorCode :: ErrorCode
- sqsErrorType :: Text
- sqsErrorMessage :: Text
- sqsErrorDetail :: Maybe Text
- sqsErrorMetadata :: Maybe SqsMetadata

SqsXmlError |

Fields

- sqsXmlErrorMessage :: Text
- sqsXmlErrorMetadata :: Maybe SqsMetadata

#### Instances

Instances details

Exception SqsError Source # |
Instance details Defined in Aws.Sqs.Core Methods toException :: SqsError -> SomeException Source # fromException :: SomeException -> Maybe SqsError Source # displayException :: SqsError -> String Source # backtraceDesired :: SqsError -> Bool Source #
Show SqsError Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsError -> ShowS Source # show :: SqsError -> String Source # showList :: [SqsError] -> ShowS Source #

data SqsMetadata Source #

Constructors

SqsMetadata |

Fields

- sqsMAmzId2 :: Maybe Text
- sqsMRequestId :: Maybe Text

#### Instances

Instances details

Loggable SqsMetadata Source # |
Instance details Defined in Aws.Sqs.Core Methods toLogText :: SqsMetadata -> Text Source #
Monoid SqsMetadata Source # |
Instance details Defined in Aws.Sqs.Core Methods mempty :: SqsMetadata Source # mappend :: SqsMetadata -> SqsMetadata -> SqsMetadata Source # mconcat :: [SqsMetadata] -> SqsMetadata Source #
Semigroup SqsMetadata Source # |
Instance details Defined in Aws.Sqs.Core Methods (<>) :: SqsMetadata -> SqsMetadata -> SqsMetadata Source # sconcat :: NonEmpty SqsMetadata -> SqsMetadata Source # stimes :: Integral b => b -> SqsMetadata -> SqsMetadata Source #
Show SqsMetadata Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsMetadata -> ShowS Source # show :: SqsMetadata -> String Source # showList :: [SqsMetadata] -> ShowS Source #

data SqsAuthorization Source #

Constructors

SqsAuthorizationHeader |
SqsAuthorizationQuery |

#### Instances

Instances details

Show SqsAuthorization Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsAuthorization -> ShowS Source # show :: SqsAuthorization -> String Source # showList :: [SqsAuthorization] -> ShowS Source #

data Endpoint Source #

Constructors

Endpoint |

Fields

- endpointHost :: ByteString
- endpointDefaultLocationConstraint :: LocationConstraint
- endpointAllowedLocationConstraints :: [LocationConstraint]

#### Instances

Instances details

Show Endpoint Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> Endpoint -> ShowS Source # show :: Endpoint -> String Source # showList :: [Endpoint] -> ShowS Source #

data SqsConfiguration qt Source #

Constructors

SqsConfiguration |

Fields

- sqsProtocol :: Protocol
- sqsEndpoint :: Endpoint
- sqsPort :: Int
- sqsUseUri :: Bool
- sqsDefaultExpiry :: NominalDiffTime

#### Instances

Instances details

DefaultServiceConfiguration (SqsConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery Source # debugServiceConfig :: SqsConfiguration NormalQuery Source #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery Source # debugServiceConfig :: SqsConfiguration UriOnlyQuery Source #
Show (SqsConfiguration qt) Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsConfiguration qt -> ShowS Source # show :: SqsConfiguration qt -> String Source # showList :: [SqsConfiguration qt] -> ShowS Source #

sqsEndpointUsClassic :: Endpoint Source #

sqsEndpointUsWest :: Endpoint Source #

sqsEndpointUsWest2 :: Endpoint Source #

sqsEndpointEu :: Endpoint Source #

sqsEndpointEuWest2 :: Endpoint Source #

sqsEndpointApSouthEast :: Endpoint Source #

sqsEndpointApSouthEast2 :: Endpoint Source #

sqsEndpointApNorthEast :: Endpoint Source #

sqs :: Protocol -> Endpoint -> Bool -> SqsConfiguration qt Source #

data SqsQuery Source #

Constructors

SqsQuery |

Fields

- sqsQueueName :: Maybe QueueName
- sqsQuery :: Query

sqsSignQuery :: SqsQuery -> SqsConfiguration qt -> SignatureData -> SignedQuery Source #

sqsResponseConsumer :: HTTPResponseConsumer a -> IORef SqsMetadata -> HTTPResponseConsumer a Source #

sqsXmlResponseConsumer :: (Cursor -> Response SqsMetadata a) -> IORef SqsMetadata -> HTTPResponseConsumer a Source #

sqsErrorResponseConsumer :: HTTPResponseConsumer a Source #

data QueueName Source #

Constructors

QueueName |

Fields

- qName :: Text
- qAccountNumber :: Text

#### Instances

Instances details

Read QueueName Source # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS QueueName Source # readList :: ReadS [QueueName] Source # readPrec :: ReadPrec QueueName Source # readListPrec :: ReadPrec [QueueName] Source #
Show QueueName Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> QueueName -> ShowS Source # show :: QueueName -> String Source # showList :: [QueueName] -> ShowS Source #
Eq QueueName Source # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: QueueName -> QueueName -> Bool Source # (/=) :: QueueName -> QueueName -> Bool Source #
Ord QueueName Source # |
Instance details Defined in Aws.Sqs.Core Methods compare :: QueueName -> QueueName -> Ordering Source # (<) :: QueueName -> QueueName -> Bool Source # (<=) :: QueueName -> QueueName -> Bool Source # (>) :: QueueName -> QueueName -> Bool Source # (>=) :: QueueName -> QueueName -> Bool Source # max :: QueueName -> QueueName -> QueueName Source # min :: QueueName -> QueueName -> QueueName Source #

printQueueName :: QueueName -> Text Source #

data QueueAttribute Source #

Constructors

QueueAll |
ApproximateNumberOfMessages |
ApproximateNumberOfMessagesNotVisible |
VisibilityTimeout |
CreatedTimestamp |
LastModifiedTimestamp |
Policy |
MaximumMessageSize |
MessageRetentionPeriod |
QueueArn |

#### Instances

Instances details

Enum QueueAttribute Source # |

Instance details

Defined in Aws.Sqs.Core

Methods

succ :: QueueAttribute -> QueueAttribute Source #

pred :: QueueAttribute -> QueueAttribute Source #

toEnum :: Int -> QueueAttribute Source #

fromEnum :: QueueAttribute -> Int Source #

enumFrom :: QueueAttribute -> [QueueAttribute] Source #

enumFromThen :: QueueAttribute -> QueueAttribute -> [QueueAttribute] Source #

enumFromTo :: QueueAttribute -> QueueAttribute -> [QueueAttribute] Source #

enumFromThenTo :: QueueAttribute -> QueueAttribute -> QueueAttribute -> [QueueAttribute] Source #

Show QueueAttribute Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> QueueAttribute -> ShowS Source # show :: QueueAttribute -> String Source # showList :: [QueueAttribute] -> ShowS Source #
Eq QueueAttribute Source # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: QueueAttribute -> QueueAttribute -> Bool Source # (/=) :: QueueAttribute -> QueueAttribute -> Bool Source #

data MessageAttribute Source #

Constructors

MessageAll | all values
SenderId | the AWS account number (or the IP address, if anonymous access is allowed) of the sender
SentTimestamp | the time when the message was sent (epoch time in milliseconds)
ApproximateReceiveCount | the number of times a message has been received but not deleted
ApproximateFirstReceiveTimestamp | the time when the message was first received (epoch time in milliseconds)

#### Instances

Instances details

Bounded MessageAttribute Source # |
Instance details Defined in Aws.Sqs.Core Methods minBound :: MessageAttribute Source # maxBound :: MessageAttribute Source #
Enum MessageAttribute Source # |

Instance details

Defined in Aws.Sqs.Core

Methods

succ :: MessageAttribute -> MessageAttribute Source #

pred :: MessageAttribute -> MessageAttribute Source #

toEnum :: Int -> MessageAttribute Source #

fromEnum :: MessageAttribute -> Int Source #

enumFrom :: MessageAttribute -> [MessageAttribute] Source #

enumFromThen :: MessageAttribute -> MessageAttribute -> [MessageAttribute] Source #

enumFromTo :: MessageAttribute -> MessageAttribute -> [MessageAttribute] Source #

enumFromThenTo :: MessageAttribute -> MessageAttribute -> MessageAttribute -> [MessageAttribute] Source #

Read MessageAttribute Source # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS MessageAttribute Source # readList :: ReadS [MessageAttribute] Source # readPrec :: ReadPrec MessageAttribute Source # readListPrec :: ReadPrec [MessageAttribute] Source #
Show MessageAttribute Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> MessageAttribute -> ShowS Source # show :: MessageAttribute -> String Source # showList :: [MessageAttribute] -> ShowS Source #
Eq MessageAttribute Source # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: MessageAttribute -> MessageAttribute -> Bool Source # (/=) :: MessageAttribute -> MessageAttribute -> Bool Source #
Ord MessageAttribute Source # |

Instance details

Defined in Aws.Sqs.Core

Methods

compare :: MessageAttribute -> MessageAttribute -> Ordering Source #

(<) :: MessageAttribute -> MessageAttribute -> Bool Source #

(<=) :: MessageAttribute -> MessageAttribute -> Bool Source #

(>) :: MessageAttribute -> MessageAttribute -> Bool Source #

(>=) :: MessageAttribute -> MessageAttribute -> Bool Source #

max :: MessageAttribute -> MessageAttribute -> MessageAttribute Source #

min :: MessageAttribute -> MessageAttribute -> MessageAttribute Source #

data SqsPermission Source #

Constructors

PermissionAll |
PermissionSendMessage |
PermissionReceiveMessage |
PermissionDeleteMessage |
PermissionChangeMessageVisibility |
PermissionGetQueueAttributes |

#### Instances

Instances details

Enum SqsPermission Source # |

Instance details

Defined in Aws.Sqs.Core

Methods

succ :: SqsPermission -> SqsPermission Source #

pred :: SqsPermission -> SqsPermission Source #

toEnum :: Int -> SqsPermission Source #

fromEnum :: SqsPermission -> Int Source #

enumFrom :: SqsPermission -> [SqsPermission] Source #

enumFromThen :: SqsPermission -> SqsPermission -> [SqsPermission] Source #

enumFromTo :: SqsPermission -> SqsPermission -> [SqsPermission] Source #

enumFromThenTo :: SqsPermission -> SqsPermission -> SqsPermission -> [SqsPermission] Source #

Show SqsPermission Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsPermission -> ShowS Source # show :: SqsPermission -> String Source # showList :: [SqsPermission] -> ShowS Source #
Eq SqsPermission Source # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: SqsPermission -> SqsPermission -> Bool Source # (/=) :: SqsPermission -> SqsPermission -> Bool Source #

parseQueueAttribute :: MonadThrow m => Text -> m QueueAttribute Source #

printQueueAttribute :: QueueAttribute -> Text Source #

parseMessageAttribute :: MonadThrow m => Text -> m MessageAttribute Source #

printMessageAttribute :: MessageAttribute -> Text Source #

printPermission :: SqsPermission -> Text Source #

newtype ReceiptHandle Source #

Constructors

ReceiptHandle Text |

#### Instances

Instances details

Read ReceiptHandle Source # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS ReceiptHandle Source # readList :: ReadS [ReceiptHandle] Source # readPrec :: ReadPrec ReceiptHandle Source # readListPrec :: ReadPrec [ReceiptHandle] Source #
Show ReceiptHandle Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> ReceiptHandle -> ShowS Source # show :: ReceiptHandle -> String Source # showList :: [ReceiptHandle] -> ShowS Source #
Eq ReceiptHandle Source # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: ReceiptHandle -> ReceiptHandle -> Bool Source # (/=) :: ReceiptHandle -> ReceiptHandle -> Bool Source #
Ord ReceiptHandle Source # |

Instance details

Defined in Aws.Sqs.Core

Methods

compare :: ReceiptHandle -> ReceiptHandle -> Ordering Source #

(<) :: ReceiptHandle -> ReceiptHandle -> Bool Source #

(<=) :: ReceiptHandle -> ReceiptHandle -> Bool Source #

(>) :: ReceiptHandle -> ReceiptHandle -> Bool Source #

(>=) :: ReceiptHandle -> ReceiptHandle -> Bool Source #

max :: ReceiptHandle -> ReceiptHandle -> ReceiptHandle Source #

min :: ReceiptHandle -> ReceiptHandle -> ReceiptHandle Source #

newtype MessageId Source #

Constructors

MessageId Text |

#### Instances

Instances details

Read MessageId Source # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS MessageId Source # readList :: ReadS [MessageId] Source # readPrec :: ReadPrec MessageId Source # readListPrec :: ReadPrec [MessageId] Source #
Show MessageId Source # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> MessageId -> ShowS Source # show :: MessageId -> String Source # showList :: [MessageId] -> ShowS Source #
Eq MessageId Source # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: MessageId -> MessageId -> Bool Source # (/=) :: MessageId -> MessageId -> Bool Source #
Ord MessageId Source # |
Instance details Defined in Aws.Sqs.Core Methods compare :: MessageId -> MessageId -> Ordering Source # (<) :: MessageId -> MessageId -> Bool Source # (<=) :: MessageId -> MessageId -> Bool Source # (>) :: MessageId -> MessageId -> Bool Source # (>=) :: MessageId -> MessageId -> Bool Source # max :: MessageId -> MessageId -> MessageId Source # min :: MessageId -> MessageId -> MessageId Source #

printReceiptHandle :: ReceiptHandle -> Text Source #